initial load of upstream version 1.06.32
[xmlrpc-c] / src / test / eftest_wrapper.sh
diff --git a/src/test/eftest_wrapper.sh b/src/test/eftest_wrapper.sh
new file mode 100644 (file)
index 0000000..31606b7
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+echo "*** Testing for heap block overruns..."
+efrpctest
+if ! test $?; then exit 1; fi
+echo "*** Testing for heap block underruns..."
+EF_PROTECT_BELOW=1 efrpctest
+if ! test $?; then exit 1; fi
+
+echo "*** Testing for access to freed heap blocks..."
+EF_PROTECT_FREE=1 efrpctest
+if ! test $?; then exit 1; fi
+
+echo "*** Testing for single-byte overruns..."
+EF_ALIGNMENT=0 efrpctest
+if ! test $?; then exit 1; fi